Rygel.MediaObjects – librygel-server Reference Manual

# MediaObjects

## Object Hierarchy:

## Description:

public class MediaObjects : ArrayList<MediaObject>

An array list that keeps media objects.

Namespace: Rygel
Package: librygel-server

## Content:

### Constants:

- public const unowned string SORT_CAPS

### Creation methods:

- public MediaObjects ()

### Methods:

- public override List<MediaObject>? slice (int start, int stop)
- public void sort_by_criteria (string sort_criteria)

### Inherited Members:

All known members inherited from class Gee.ArrayList

- equal_func
- read_only
- size
- add
- add_all
- bidir_list_iterator

- clear
- contains
- @foreach
- @get
- index_of
- insert

- iterator
- list_iterator
- remove
- remove_at
- @set
- slice

All known members inherited from class Gee.AbstractBidirList

- read_only_view

- bidir_list_iterator

All known members inherited from class Gee.AbstractList

- read_only_view
- @get
- index_of

- insert
- list_iterator
- remove_at

- @set
- slice

All known members inherited from class Gee.AbstractCollection

- read_only
- read_only_view
- size

- add
- clear
- contains

- @foreach
- iterator
- remove

All known members inherited from class GLib.Object

- interface_find_property
- interface_install_property
- interface_list_properties
- @new
- new_valist
- newv
- new_with_properties
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating

- freeze_notify
- @get
- get_class
- get_data
- get_property
- get_qdata
- get_type
- getv
- is_floating
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set

- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref
- notify
- ref_count

All known members inherited from interface Gee.BidirList

- read_only_view

- bidir_list_iterator

All known members inherited from interface Gee.List

- read_only_view
- empty
- first
- @get
- index_of

- insert
- insert_all
- last
- list_iterator

- remove_at
- @set
- slice
- sort

All known members inherited from interface Gee.Traversable

- element_type
- all_match
- any_match
- chop
- filter
- first_match

- flat_map
- fold
- @foreach
- map
- max

- min
- order_by
- scan
- stream
- tee

All known members inherited from interface Gee.Iterable

- iterator

All known members inherited from interface Gee.Collection

- is_empty
- read_only
- read_only_view
- size
- empty
- add
- add_all

- add_all_array
- add_all_iterator
- clear
- contains
- contains_all
- contains_all_array
- contains_all_iterator

- remove
- remove_all
- remove_all_array
- remove_all_iterator
- retain_all
- to_array